 -- Tests for fglm.cpkg 
Package $apcocoa/ts/fglm

Define Initialize()
EndDefine;


Define TestFGLM01()

TestRing::=QQ[x,y,z],DegRevLex;

Using TestRing Do

  GBOld := [z^4 -3z^3 - 4yz + 2z^2 - y + 2z - 2, yz^2 + 2yz - 2z^2 + 1, y^2 - 2yz + z^2 - z, x + y - z];
  M := LexMat(3);
  Result := FGLM.FGLM(GBOld, M);
  Expected:=[z^6 - z^5 - 4z^4 - 2z^3 + 1, y - 4/7z^5 + 5/7z^4 + 13/7z^3 + 10/7z^2 - 6/7z - 2/7, x + 4/7z^5 - 5/7z^4 - 13/7z^3 - 10/7z^2 - 1/7z + 2/7];
  $apcocoa/ts/assert.AssertEqualsExact(Result, Expected, "TODO: Some error message!");

EndUsing;

EndDefine;



EndPackage;